## ros-rolling-simple-launch 1.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(simple_launch)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
        example
        DESTINATION share/${PROJECT_NAME})

ament_python_install_package(${PROJECT_NAME})

ament_package()

## ros-rolling-simple-launch 1.2.1

=== debian/changelog ===
ros-rolling-simple-launch (1.2.1-1focal) focal; urgency=high

  * add Ignition support
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 23 Jan 2022 23:00:00 -0000

ros-rolling-simple-launch (1.2.0-1focal) focal; urgency=high

  * make it clearer for the prefix_gz_plugins param
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 01 Nov 2021 23:00:00 -0000

ros-rolling-simple-launch (1.1.0-1focal) focal; urgency=high

  * add capacity to prefix and namespace Gazebo-published messages, as an alternative to using Gazebo namespaces that also remap /tf
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 24 Sep 2021 22:00:00 -0000

ros-rolling-simple-launch (1.0.6-1focal) focal; urgency=high

  * node arguments is a raw list and accepts substitutions
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Sep 2021 22:00:00 -0000

ros-rolling-simple-launch (1.0.5-1focal) focal; urgency=high

  * automagically convert to expected type for node parameters, remappings, launch arguments
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Sep 2021 22:00:00 -0000

ros-rolling-simple-launch (1.0.4-1focal) focal; urgency=high

  * some Python2 legacy bugs
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 02 Sep 2021 22:00:00 -0000

ros-rolling-simple-launch (1.0.3-1focal) focal; urgency=high

  * solve typo in node_args
  * better handling of node arguments in nested lists
  * bug fixes around Substitutions
  * Merge pull request #1 <https://github.com/oKermorgant/simple_launch/issues/1> from oKermorgant/master
    deduce executable from package name if needed
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 16 Apr 2021 22:00:00 -0000

ros-rolling-simple-launch (1.0.2-1focal) focal; urgency=high

  * composition with existing container
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 07 Dec 2020 23:00:00 -0000

ros-rolling-simple-launch (1.0.1-1focal) focal; urgency=high

  * PythonExpression shortcut
  * xacro args now take substitution args
  * add LoadComposableNode feature for existing containers
  * add name_join and path_join to combine raw str and Substitution stuff
  * first commit
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 11 Oct 2020 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-simple-launch
Section: misc
Priority: optional
Maintainer: Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-index-python, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-xacro, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-simple-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-rolling-ament-index-python, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-xacro, ros-rolling-ros-workspace
Description: Python helper class for the ROS 2 launch system

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/rolling" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-simple-launch//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-simple-launch 1.7.0

=== debian/changelog ===
ros-rolling-simple-launch (1.7.0-2jammy) jammy; urgency=high

  * GazeboBridge creates a camera_info topic for all bridged image topics
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Feb 2023 08:00:00 -0000

ros-rolling-simple-launch (1.6.2-2jammy) jammy; urgency=high

  * add .rviz shortcut, clean Python scripts
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 23 Jan 2023 08:00:00 -0000

ros-rolling-simple-launch (1.6.1-2jammy) jammy; urgency=high

  * fix bug in robot_state_publisher with raw URDF
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 10 Oct 2022 07:00:00 -0000

ros-rolling-simple-launch (1.6.0-2jammy) jammy; urgency=high

  * check use_sim_time versus a parameter file
  * resolve any builtin type as Substitution, not only text
  * improve documentation
  * Gazebo + humble compat
  * OpaqueFunction wrapper and SimpleSubstitution
  * switch to CMake to avoid deprecation messages
  * more spawn_gz
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 06 Oct 2022 07:00:00 -0000

ros-rolling-simple-launch (1.5.0-2jammy) jammy; urgency=high

  * allow spawning a Gz model from file
  * parameters are list of dict
  * allow substitution for topics in ros_ign_image bridge
  * Gazebo bridge handles invalid ROS topics through yaml config file. Image bridges are automatically run through ros_ign_image
  * better handling of gazebo spawn pose
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 26 Aug 2022 07:00:00 -0000

ros-rolling-simple-launch (1.4.1-2jammy) jammy; urgency=high

  * more handling of param types
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 01 Jun 2022 07:00:00 -0000

ros-rolling-simple-launch (1.4.0-2jammy) jammy; urgency=high

  * use Gazebo instead of Ignition
  * better type comprehension
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 01 Jun 2022 07:00:00 -0000

ros-rolling-simple-launch (1.3.1-2jammy) jammy; urgency=high

  * use underscores in setup.cfg
  * typo in included_launch example
  * Merge pull request #4 <https://github.com/oKermorgant/simple_launch/issues/4> from yushijinhun/patch-1
    Add package & executable parameter to container
  * [readme] add doc for container.package
  * Add package & executable param to container
    This allows the user to use a component container implementation
    other than component_container, such as component_container_isolated
    and component_container_mt.
  * Contributors: Haowei Wen, Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 02 May 2022 07:00:00 -0000

ros-rolling-simple-launch (1.3.0-2jammy) jammy; urgency=high

  * more use_sim_time: constructor + warning on 'auto'
  * auto_sim_time can be forced instead of checking /clock
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 03 Feb 2022 08:00:00 -0000

ros-rolling-simple-launch (1.2.1-2jammy) jammy; urgency=high

  * add Ignition support
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 24 Jan 2022 08:00:00 -0000

ros-rolling-simple-launch (1.2.0-2jammy) jammy; urgency=high

  * make it clearer for the prefix_gz_plugins param
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 02 Nov 2021 07:00:00 -0000

ros-rolling-simple-launch (1.1.0-2jammy) jammy; urgency=high

  * add capacity to prefix and namespace Gazebo-published messages, as an alternative to using Gazebo namespaces that also remap /tf
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sat, 25 Sep 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.6-2jammy) jammy; urgency=high

  * node arguments is a raw list and accepts substitutions
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Sep 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.5-2jammy) jammy; urgency=high

  * automagically convert to expected type for node parameters, remappings, launch arguments
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Sep 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.4-2jammy) jammy; urgency=high

  * some Python2 legacy bugs
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 03 Sep 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.3-2jammy) jammy; urgency=high

  * solve typo in node_args
  * better handling of node arguments in nested lists
  * bug fixes around Substitutions
  * Merge pull request #1 <https://github.com/oKermorgant/simple_launch/issues/1> from oKermorgant/master
    deduce executable from package name if needed
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sat, 17 Apr 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.2-2jammy) jammy; urgency=high

  * composition with existing container
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-simple-launch (1.0.1-2jammy) jammy; urgency=high

  * PythonExpression shortcut
  * xacro args now take substitution args
  * add LoadComposableNode feature for existing containers
  * add name_join and path_join to combine raw str and Substitution stuff
  * first commit
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 12 Oct 2020 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-simple-launch
Section: misc
Priority: optional
Maintainer: Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-python, ros-rolling-ament-index-python, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-xacro, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-simple-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-python, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-xacro, ros-rolling-ros-workspace
Description: Python helper class for the ROS 2 launch system

=== debian/rules ===
--- 
+++ 
@@ -17,21 +17,25 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
 
-# Python package installation variables
-export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/rolling" \
-	--install-lib "\$$base/lib/{interpreter}/site-packages" \
-	
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=pybuild --with python3
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
-	dh_auto_configure
+	dh_auto_configure -- \
+		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
+		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
